"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var grpc = require("grpc");
var protoLoader = require("@grpc/proto-loader");
var path = require("path");
var ClientBuilder = (function () {
    function ClientBuilder(options) {
        this.options = options;
    }
    ClientBuilder.prototype.service = function () {
        var packageDefinition = protoLoader.loadSync(path.join(__dirname, './proto/api-service.proto'));
        var packageObject = grpc.loadPackageDefinition(packageDefinition);
        var clientConstructor = packageObject.api.Service;
        return new clientConstructor(this.options.endpoint, grpc.credentials.createInsecure());
    };
    ClientBuilder.prototype.core = function () {
        var packageDefinition = protoLoader.loadSync(path.join(__dirname, './proto/api-core.proto'));
        var packageObject = grpc.loadPackageDefinition(packageDefinition);
        var clientConstructor = packageObject.api.Core;
        return new clientConstructor(this.options.endpoint, grpc.credentials.createInsecure());
    };
    return ClientBuilder;
}());
exports.default = ClientBuilder;
//# sourceMappingURL=client.js.map